Payment Cancellation
POST
/api/fx/payments/{paymentId}/cancel
Code sample: Shell / cURL
curl --request POST \ --url https://api.ztlpay.io/api/fx/payments/example/cancel \ --header 'Authorization: Bearer <token>'International payment funding payment confirmation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”paymentId
required
string
PaymentId for the payment to cancel
Responses
Section titled “Responses”Successfully canceled payment
Request is not valid
Media typeapplication/json
object
message
A message detailing the reason for the call failing
string
correlationId
A unique identifier used for tracing the call
string
Example
{ "message": "Payment has not been booked yet", "correlationId": "7757cdcb-128f-41ba-b3a6-58722e56b0f8"}Payment with given paymentId was not found